libzypp: zypp::sat::detail::DIWrap Class Reference

libzypp 17.38.13

zypp::sat::detail::DIWrap Class Reference

Wrapper around sat `detail::CDataiterator`. More...

`#include <zypp/sat/LookupAttr.h>`

## Public Member Functions
| DIWrap ()
| `NULL` `detail::CDataiterator`
| DIWrap (RepoIdType repoId_r, SolvableIdType solvId_r, IdType attrId_r, std::string mstring_r=std::string(), int flags_r=0)
| Initializes.
| DIWrap (RepoIdType repoId_r, SolvableIdType solvId_r, IdType attrId_r, const char *mstring_r, int flags_r=0)
| DIWrap (const DIWrap &rhs)
| ~DIWrap ()
void | swap (DIWrap &rhs) noexcept
DIWrap & | operator= (const DIWrap &rhs)
void | reset ()
| operator bool () const
| Evaluate in a boolean context ( _dip != NULL ).
detail::CDataiterator * | operator-> () const
detail::CDataiterator * | get () const
const std::string & | getstr () const

## Private Attributes
detail::CDataiterator * | _dip
std::string | _mstring

## Detailed Description

Wrapper around sat `detail::CDataiterator`.

Manages copy and assign, and release of allocated resources like datamatcher inside the dataiterator. Also maintains a copy of the matchstring in order to keep the char* passed to the dataiterator valid.

Definition at line 299 of file LookupAttr.h.

## Constructor & Destructor Documentation

## ◆ DIWrap() [1/4]

zypp::sat::detail::DIWrap::DIWrap | ( |  | ) |
| inline

`NULL` `detail::CDataiterator`

Definition at line 303 of file LookupAttr.h.

## ◆ DIWrap() [2/4]

zypp::sat::detail::DIWrap::DIWrap | ( | RepoIdType | repoId_r,
|  | SolvableIdType | solvId_r,
|  | IdType | attrId_r,
|  | std::string | mstring_r = std::string(),
|  | int | flags_r = 0 )

Initializes.

Definition at line 299 of file LookupAttr.cc.

## ◆ DIWrap() [3/4]

zypp::sat::detail::DIWrap::DIWrap | ( | RepoIdType | repoId_r,
|  | SolvableIdType | solvId_r,
|  | IdType | attrId_r,
|  | const char * | mstring_r,
|  | int | flags_r = 0 )

Definition at line 308 of file LookupAttr.cc.

## ◆ DIWrap() [4/4]

zypp::sat::detail::DIWrap::DIWrap | ( | const DIWrap & | rhs | ) |

Definition at line 317 of file LookupAttr.cc.

## ◆ ~DIWrap()

zypp::sat::detail::DIWrap::~DIWrap | ( |  | ) |

Definition at line 329 of file LookupAttr.cc.

## Member Function Documentation

## ◆ swap()

void zypp::sat::detail::DIWrap::swap | ( | DIWrap & | rhs | ) |
| inlinenoexcept

Definition at line 315 of file LookupAttr.h.

## ◆ operator=()

DIWrap & zypp::sat::detail::DIWrap::operator= | ( | const DIWrap & | rhs | ) |
| inline

Definition at line 323 of file LookupAttr.h.

## ◆ reset()

void zypp::sat::detail::DIWrap::reset | ( |  | ) |
| inline

Definition at line 329 of file LookupAttr.h.

## ◆ operator bool()

zypp::sat::detail::DIWrap::operator bool | ( |  | ) | const
| inlineexplicit

Evaluate in a boolean context ( _dip != NULL ).

Definition at line 333 of file LookupAttr.h.

## ◆ operator->()

detail::CDataiterator * zypp::sat::detail::DIWrap::operator-> | ( |  | ) | const
| inline

Definition at line 337 of file LookupAttr.h.

## ◆ get()

detail::CDataiterator * zypp::sat::detail::DIWrap::get | ( |  | ) | const
| inline

Definition at line 338 of file LookupAttr.h.

## ◆ getstr()

const std::string & zypp::sat::detail::DIWrap::getstr | ( |  | ) | const
| inline

Definition at line 339 of file LookupAttr.h.

## Member Data Documentation

## ◆ _dip

detail::CDataiterator* zypp::sat::detail::DIWrap::_dip
| private

Definition at line 342 of file LookupAttr.h.

## ◆ _mstring

std::string zypp::sat::detail::DIWrap::_mstring
| private

Definition at line 343 of file LookupAttr.h.

The documentation for this class was generated from the following files:

- zypp/sat/LookupAttr.h
- zypp/sat/LookupAttr.cc